com.sun.jna.platform.win32

## Class WinNT.LUID_AND_ATTRIBUTES

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.LUID_AND_ATTRIBUTES

Enclosing interface:
  WinNT

    @Structure.FieldOrder(value={"Luid","Attributes"})
    public static class WinNT.LUID_AND_ATTRIBUTES
    extends Structure

The LUID_AND_ATTRIBUTES structure represents a locally unique identifier (LUID) and its attributes.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`WinDef.DWORD` `Attributes` Specifies attributes of the LUID.
`WinNT.LUID` `Luid` Specifies an LUID value.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`LUID_AND_ATTRIBUTES()`
`LUID_AND_ATTRIBUTES(WinNT.LUID luid, WinDef.DWORD attributes)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### Luid

    public WinNT.LUID Luid

Specifies an LUID value.

#### Attributes

    public WinDef.DWORD Attributes

Specifies attributes of the LUID. This value contains up to 32 one-bit flags. Its meaning is dependent on the definition and use of the LUID.

### Constructor Detail

#### LUID_AND_ATTRIBUTES

    public LUID_AND_ATTRIBUTES()

#### LUID_AND_ATTRIBUTES

    public LUID_AND_ATTRIBUTES(WinNT.LUID luid,
                               WinDef.DWORD attributes)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.